---
title: ClipboardEvent
slug: Web/API/ClipboardEvent
tags:
  - API
  - Clipboard
  - Clipboard API
  - Cut
  - Event
  - Experimental
  - Interface
  - copy
  - paste
---
<p>{{APIRef("Clipboard API")}} {{SeeCompatTable}}</p>

<p>The <strong><code>ClipboardEvent</code></strong> interface represents events providing information related to modification of the clipboard, that is {{event("cut")}}, {{event("copy")}}, and {{event("paste")}} events.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("ClipboardEvent.ClipboardEvent", "ClipboardEvent()")}}</dt>
 <dd>Creates a <code>ClipboardEvent</code> event with the given parameters.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Also inherits properties from its parent {{domxref("Event")}}</em>.</p>

<dl>
 <dt>{{domxref("ClipboardEvent.clipboardData")}} {{readonlyInline}}</dt>
 <dd>Is a {{domxref("DataTransfer")}} object containing the data affected by the user-initiated {{event("cut")}}, {{event("copy")}}, or {{event("paste")}} operation, along with its MIME type.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific methods; inherits methods from its parent {{domxref("Event")}}</em>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Clipboard API', '#clipboard-event-interfaces', 'ClipboardEvent') }}</td>
   <td>{{ Spec2('Clipboard API') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ClipboardEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Copy-related events: {{event("copy")}}, {{event("cut")}}, {{event("paste")}}</li>
 <li><a href="/en-US/docs/Web/API/Clipboard_API">Clipboard API</a></li>
 <li><a href="https://async-clipboard-api.glitch.me/">Async Clipboard API demo on Glitch</a></li>
 <li><a href="https://web.dev/image-support-for-async-clipboard/">Image support for Async Clipboard article</a></li>
</ul>
